%define major 3
%define libname %mklibname qtxdg %{major}
%define devname %mklibname qtxdg -d

Name: libqtxdg
Version: 3.12.0
Release: %mkrel 1
Source: http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Summary: Library providing freedesktop.org specs implementations for Qt
URL: https://github.com/lxde/libqtxdg
License: LGPLv2+
Group: System/Libraries
#-------------------------------------
BuildRequires: cmake
BuildRequires: ninja
BuildRequires: qttools5
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}magic-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5xml-devel
#BuildRequires: %{_lib}qt5core-private-devel
#BuildRequires: %{_lib}qt5gui-private-devel
BuildRequires: qt5svg-devel
BuildRequires: qt5dbus-devel
BuildRequires: %{_lib}qt5base5-devel
#-------------------------------------

%description
Library providing freedesktop.org specs implementations for Qt


%package -n %{libname}
Summary: Library providing freedesktop.org specs implementations for Qt
Group: System/Libraries
Obsoletes: %{_lib}qtxdg2
Provides: %{_lib}qtxdg = %version-%release

%description -n %{libname}
Library providing freedesktop.org specs implementations for Qt

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}, a library providing
freedesktop.org specs implementations for Qt.

%prep
%setup -q


%cmake_qt5 -DBUILD_TESTS=off

%build
make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build


%files -n %{libname}
%{_sysconfdir}/xdg/lxqt-qtxdg.conf
%{_sysconfdir}/xdg/qtxdg.conf
%{_libdir}/*.so.%{major}*
%{_libdir}/qt5/plugins/iconengines/libQt5XdgIconPlugin.so

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/qt5xdg
%{_datadir}/cmake/qt5xdgiconloader

%clean
rm -rf %buildroot


%changelog
* Sat Nov 12 2023 daniel - 3.12.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 3.11.0-1pclos2023
- new version

* Mon Nov 07 2022 tex - 3.10.0-2pclos2022
- rebuild against updates

* Sat Nov 05 2022 daniel - 3.10.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 3.9.1-2pclos2022
- rebuild against updates

* Sun May 08 2022 daniel - 3.9.1-1pclos2022
- 3.9.1

* Sun Apr 17 2022 daniel - 3.9.0-1pclos2022
- 3.9.0

* Fri Nov 05 2021 daniel - 3.8.0-1pclos2021
- 3.8.0

* Fri Oct 15 2021 tex - 3.7.1-2pclos2021
- rebuild add obsoletes

* Fri Apr 23 2021 tex - 3.7.1-1pclos2021
- new version

* Thu Apr 15 2021 daniel <> 3.7.0-1pclos2021
- 3.7.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 3.6.0-1pclos2020
- 3.6.0

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 3.5.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 3.5.0-1pclos2020
- update

* Wed Nov 20 2019 daniel <meisssw01 at gmail.com> 3.4.0-1pclos2019
- update

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 3.3.1-1pclos2019
- update 

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 3.3.0-1pclos2019
- update  

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 3.2.0-1pclos2018
- update

* Sun Oct 22 2017 daniel <meisssw01 at gmail.com> 3.1.0-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 2.0.0-1pclos2016
- 2.0.0
- add new BR qt5svg-devel, qt5dbus-devel

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 1.3.0-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 1.3.0-1pclos2015
- update for lxqt
